      SUBROUTINE GETVAL(LINE,X,T)
      implicit double precision (A-H,O-Z)
      include 'MOP6FILE'
      character LINE*80, T*12, CH1*1, CH2*1
      CH1=LINE(1:1)
      CH2=LINE(2:2)
      if ((ICHAR(CH1).LT.ICHAR('A')  .OR.  ICHAR(CH1).GT.ICHAR('Z'))
     1                              .AND.
     2   (ICHAR(CH2).LT.ICHAR('A').OR.ICHAR(CH2).GT.ICHAR('Z'))) then
C
C   IS A NUMBER
C
         X = READA(LINE,1)
         T=' '
      else
         I=INDEX(LINE,' ')
         T=LINE(:I)
         X=-999.D0
      end if
      return
      end
